> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1contentfolder



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Content//swagger/v1/swagger.json post /api/v1/content/folder
openapi: 3.0.0
info:
  title: NDS.Services.Content
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Content/
security: []
paths:
  /api/v1/content/folder:
    post:
      tags:
        - Content
      operationId: Content_GetFolders
      parameters:
        - name: folderPager
          in: query
          schema:
            nullable: true
            oneOf:
              - $ref: '#/components/schemas/FolderPager'
          x-position: 2
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetFoldersRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFoldersResult'
components:
  schemas:
    FolderPager:
      type: object
      additionalProperties: false
    GetFoldersRequest:
      type: object
      additionalProperties: false
      properties:
        Path:
          type: string
          nullable: true
        IncludeHidden:
          type: boolean
        SearchPattern:
          type: string
          nullable: true
        Paging:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PagingData'
        Sorting:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/SortData'
        ContentTypeFilter:
          type: string
          nullable: true
        ExcludeFolders:
          type: boolean
    GetFoldersResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            SubFolders:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Folder'
            Files:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/File'
            TotalItems:
              type: integer
              format: int32
            Permissions:
              type: string
              nullable: true
    PagingData:
      type: object
      additionalProperties: false
      properties:
        Start:
          type: integer
          format: int32
          nullable: true
        Items:
          type: integer
          format: int32
          nullable: true
    SortData:
      type: object
      additionalProperties: false
      properties:
        Descending:
          type: boolean
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Folder:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
          nullable: true
        Path:
          type: string
          nullable: true
        DateLastModified:
          type: string
          format: date-time
        DateCreated:
          type: string
          format: date-time
          nullable: true
        Hidden:
          type: boolean
        ParentFolder:
          type: string
          nullable: true
        Permissions:
          type: string
          nullable: true
    File:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
          nullable: true
        Path:
          type: string
          nullable: true
        Extension:
          type: string
          nullable: true
        DateLastModified:
          type: string
          format: date-time
        DateCreated:
          type: string
          format: date-time
          nullable: true
        Size:
          type: integer
          format: int64
        MD5:
          type: string
          format: byte
          nullable: true
        Hidden:
          type: boolean
        ParentFolder:
          type: string
          nullable: true
        GenericContentType:
          type: string
          nullable: true
        ContentType:
          type: string
          nullable: true
        Permissions:
          type: string
          nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````